Consistent_identitiesUpload_face

Step 2) Upload a face/identity

POST
/api/consistent_identities/upload_face

Upload a face/identity to be used as reference for the consistent identity generation.

Example:

import requestsapi_url = "https://api.piktid.com/api"access_token = "your_access_token"face_path = "path_to_face_image"with open(face_path, "rb") as face:response = requests.post(api_url + "/consistent_identities/upload_face",headers={"Authorization": "Bearer " + access_token},files={"file": face,},).json()face_id = response.get("identity_name")print(face_id)

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

multipart/form-data
  1. body
file?unknown
url?string
identity_name?string

Response Body

Success

application/json
  1. response
identity_name?string
curl -X POST "https://example.com/api/consistent_identities/upload_face"
{  "identity_name": "string"}